const express = require('express');
const app     = module.exports = express();
const server  = require('http').createServer(app);

app.set('port', process.env.PORT || 3000);
app.use(express.compress());
app.use(express.static(__dirname + '/../public'));
app.use(express.bodyParser());
app.use(app.router);
app.use(express.errorHandler());

// Routes
app.post('/publish', require('./publish'));
app.get('/concat.:format', require('./concat'));

server.listen(app.get('port'), function() {
  console.log('%s server listening on port %d', app.get('env'), app.get('port'));
});
