const execFile = require('child_process').execFile;
const join     = require('path').join;
const publish  = join(__dirname, '../script/publish');
const root     = join(__dirname, '..');
const regexp   = /^(.+)\/(.+)$/;

module.exports = function(req, res, next) {
  const repo   = req.body.repo;
  const ignore = req.body.ignore;
  const match  = repo.match(regexp);
  if (!match) res.json(422, { error: 'invalid repo (username/project)'});

  execFile(publish, [match[1], match[2], ignore], { cwd: root }, function(err) {
    if (err) return next(err);
    res.send(204);
  });
};
