# C8 = C(omponent - 8 letters)

  C8 is a component(1) build server.
  It detects component by github-like url, build it and returns build.js and build.css.

## Example

  Lets take a look, how it works for [yields/select](https://github.com/yields/select).

  We have **c8** started on https://c8.gingkoapp.com. We can publish component with simple curl command:

    $ curl -d "repo=yields/select" https://c8.gingkoapp.com/publish

  Not we have:

  * [/yields/select.js](https://c8.gingkoapp.com/yields/select.js) - build/build.js with --no-require option
  * [/yields/select.min.js](https://c8.gingkoapp.com/yields/select.min.js) - minified js build
  * [/yields/select.css](https://c8.gingkoapp.com/yields/select.css) - build/build.css
  * [/yields/select.min.css](https://c8.gingkoapp.com/yields/select.min.css) - minified css build
  * [/yields/select.json](https://c8.gingkoapp.com/yields/select.json) - component.json manifest
  
---

  Another one nice feature of **c8** is `/concat.js` and `/concat.css`.
  It allows you to get concatenated & minified version of components group with two fast requests.

  For example we want to get specific build of amazing UI components by [yields](https://github.com/yields):

  1. js files: https://c8.gingkoapp.com/concat.js?repos=yields/select,yields/sortable,yields/editable,yields/select-reflect
  2. css files: https://c8.gingkoapp.com/concat.css?repos=yields/select,yields/sortable,yields/editable,yields/select-reflect

## Future work

  * host on c8build.com
  * support /yields/select-standalone{.min}.js
  * figure out the way to compile `.styl`, `.hbs` and etc
